[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#298308: marked as done (kate: floods stdout with ASSERT: "!m_doc->wrapCursor()" in ../../../kate/part/katerenderer.cpp (626))

Your message dated Sun, 13 Mar 2005 18:17:51 -0500
with message-id <E1DAcLH-0004V9-00@newraff.debian.org>
and subject line Bug#298308: fixed in kdelibs 4:3.3.2-4
has caused the attached Bug report to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere.  Please contact me immediately.)

Debian bug tracking system administrator
(administrator, Debian Bugs database)

Received: (at submit) by bugs.debian.org; 6 Mar 2005 15:46:03 +0000
>From bensmail@gmx.net Sun Mar 06 07:46:03 2005
Return-path: <bensmail@gmx.net>
Received: from imap.gmx.net (mail.gmx.net) [] 
	by spohr.debian.org with smtp (Exim 3.35 1 (Debian))
	id 1D7xxD-0003jb-00; Sun, 06 Mar 2005 07:46:03 -0800
Received: (qmail invoked by alias); 06 Mar 2005 15:45:31 -0000
Received: from unknown (EHLO []) (
  by mail.gmx.net (mp027) with SMTP; 06 Mar 2005 16:45:31 +0100
X-Authenticated: #834378
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
From: Benjamin Mesing <bensmail@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kate: floods stdout with ASSERT: "!m_doc->wrapCursor()" in
 ../../../kate/part/katerenderer.cpp (626)
Bcc: Benjamin Mesing <bensmail@gmx.net>
X-Mailer: reportbug 3.5
Date: Sun, 06 Mar 2005 16:45:28 +0100
X-Y-GMX-Trusted: 0
Message-Id: <E1D7xxD-0003jb-00@spohr.debian.org>
Delivered-To: submit@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02

Package: kate
Version: 4:3.3.2-1
Severity: minor

When using kate or kwrite they flood stdout with lots of
ASSERT: "!m_doc->wrapCursor()" in ../../../kate/part/katerenderer.cpp (626)
messages thereby affecting the performance of the application.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=en_IE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to en_IE@euro)

Versions of packages kate depends on:
ii  kdelibs4                 4:3.3.2-1       KDE core libraries
ii  libart-2.0-2             2.3.16-6        Library of functions for 2D graphi
ii  libc6                    2.3.2.ds1-20    GNU C Library: Shared libraries an
ii  libfam0c102              2.7.0-6         client library to control the FAM 
ii  libgcc1                  1:3.4.3-6       GCC support library
ii  libice6                  4.3.0.dfsg.1-10 Inter-Client Exchange library
ii  libidn11                 0.5.2-3         GNU libidn library, implementation
ii  libpng12-0               1.2.8rel-1      PNG library - runtime
ii  libqt3c102-mt            3:3.3.3-7       Qt GUI Library (Threaded runtime v
ii  libsm6                   4.3.0.dfsg.1-10 X Window System Session Management
ii  libstdc++5               1:3.3.5-6       The GNU Standard C++ Library v3
ii  libx11-6                 4.3.0.dfsg.1-10 X Window System protocol client li
ii  libxext6                 4.3.0.dfsg.1-10 X Window System miscellaneous exte
ii  libxrender1              0.8.3-7         X Rendering Extension client libra
ii  xlibs                    4.3.0.dfsg.1-10 X Keyboard Extension (XKB) configu
ii  zlib1g                   1:1.2.2-4       compression library - runtime

-- no debconf information

Received: (at 298308-close) by bugs.debian.org; 13 Mar 2005 23:23:03 +0000
>From katie@ftp-master.debian.org Sun Mar 13 15:23:03 2005
Return-path: <katie@ftp-master.debian.org>
Received: from newraff.debian.org [] (mail)
	by spohr.debian.org with esmtp (Exim 3.35 1 (Debian))
	id 1DAcQI-00055E-00; Sun, 13 Mar 2005 15:23:03 -0800
Received: from katie by newraff.debian.org with local (Exim 3.35 1 (Debian))
	id 1DAcLH-0004V9-00; Sun, 13 Mar 2005 18:17:51 -0500
From: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
To: 298308-close@bugs.debian.org
X-Katie: $Revision: 1.55 $
Subject: Bug#298308: fixed in kdelibs 4:3.3.2-4
Message-Id: <E1DAcLH-0004V9-00@newraff.debian.org>
Sender: Archive Administrator <katie@ftp-master.debian.org>
Date: Sun, 13 Mar 2005 18:17:51 -0500
Delivered-To: 298308-close@bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02 
	(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER 
	autolearn=no version=2.60-bugs.debian.org_2005_01_02
X-CrossAssassin-Score: 2

Source: kdelibs
Source-Version: 4:3.3.2-4

We believe that the bug you reported is fixed in the latest version of
kdelibs, which is due to be installed in the Debian FTP archive:

  to pool/main/k/kdelibs/kdelibs-bin_3.3.2-4_powerpc.deb
  to pool/main/k/kdelibs/kdelibs-data_3.3.2-4_all.deb
  to pool/main/k/kdelibs/kdelibs4-dev_3.3.2-4_powerpc.deb
  to pool/main/k/kdelibs/kdelibs4-doc_3.3.2-4_all.deb
  to pool/main/k/kdelibs/kdelibs4_3.3.2-4_powerpc.deb
  to pool/main/k/kdelibs/kdelibs_3.3.2-4.diff.gz
  to pool/main/k/kdelibs/kdelibs_3.3.2-4.dsc
  to pool/main/k/kdelibs/kdelibs_3.3.2-4_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298308@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org> (supplier of updated kdelibs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.7
Date: Sat, 12 Mar 2005 18:02:54 +0100
Source: kdelibs
Binary: kdelibs4 kdelibs-bin kdelibs kdelibs4-doc kdelibs-data kdelibs4-dev
Architecture: source powerpc all
Version: 4:3.3.2-4
Distribution: unstable
Urgency: low
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Changed-By: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 kdelibs    - KDE core libraries metapackage
 kdelibs-bin - KDE core binaries
 kdelibs-data - KDE core shared data
 kdelibs4   - KDE core libraries
 kdelibs4-dev - KDE core libraries (development files)
 kdelibs4-doc - KDE core library documentation
Closes: 296240 298308 298533 298615
 kdelibs (4:3.3.2-4) unstable; urgency=low
   * Improve the fix for CAN-2005-0365 ("insecure temporary file
     creation") with a patch provided by Javier Fernández-Sanguino Peña:
     now mktemp is used, previously the temporary file was still created
     in an unsafe way, although in a safe directory. (Closes: #298533)
   * KDE_3_3_BRANCH update, with several improvements for the IDN situation:
     - matches SSL certificates based on the punycode version of the hostname.
     - some TLDs are whitelisted and IDN domains will be resolved for them.
       These are, by default: at, ch, cn, de, dk, kr, jp, li, no, se, tw.
       The KDE_USE_IDN environment variable can be set to a colon-separated
       list of TLDs to override this default, so if empty IDN will be disabled.
   * Backport small patch from KDE 3.4 to prevent kate from printing lots of
     assertion failures to stderr when editing a long line. (Closes: #298308)
   * Backport small patch from KDE 3.4 to make KSpell search for dictionaries
     in /usr/lib/aspell-0.6, which is now used by Aspell. (Closes: #296240)
   * As OpenOffice.org 1.1.3 will enter testing together with this version of
     kdelibs, re-add to kdelibs-data the template .desktop files removed in
     3.3.2-1. Replace openoffice.org-mimelnk (<< 1.1.3), but don't conflict.
   * This upload will get built with a non-broken gcc version in mipsel,
     and thus closes: #298615.
 bdf19d95b59cfc08a266b91f79646296 1302 libs optional kdelibs_3.3.2-4.dsc
 1cf68c00a7b7d61ca558c34de9cf0ca1 458802 libs optional kdelibs_3.3.2-4.diff.gz
 13e7367a4d1e8fafbb896f2e06f1ce15 894852 libs optional kdelibs-bin_3.3.2-4_powerpc.deb
 8dafb784bd5c45f1d6b7b73273895ccb 7911796 libs optional kdelibs4_3.3.2-4_powerpc.deb
 e7bb87b4312c8462876c6b3bdb2d98d4 1233894 libdevel optional kdelibs4-dev_3.3.2-4_powerpc.deb
 01c8b86fbea7d37d0a1dd6c6c0e87dbc 19434 kde optional kdelibs_3.3.2-4_all.deb
 43870e72465373b23e04924abc48b7ac 7086730 libs optional kdelibs-data_3.3.2-4_all.deb
 35c9334552e7ebf450c92e64da06046b 11572596 doc optional kdelibs4-doc_3.3.2-4_all.deb

Version: GnuPG v1.4.0 (GNU/Linux)
Comment: Signed by Isaac Clerencia <isaac@warp.es>


Reply to: